Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/custom-event-schemas/{customEventSchemaId}{
"id": "ms_f1r5Tm3ta6a4a5ch3ma",
"related_object": "order",
"properties": {
"published": {
"type": "boolean",
"optional": true
}
},
"created_at": "2024-04-29T11:25:44.458Z",
"object": "custom-event-schema"
}Retrieves a custom event schema.
📘 Custom Event Documentation
Read Custom Events article to learn how custom events work in Voucherify.
Read also the details about the Track Custom Event endpoint and the Custom Event Object.
curl --request GET \
--url https://{cluster}.voucherify.io/management/v1/projects/{projectId}/custom-event-schemas/{customEventSchemaId}{
"id": "ms_f1r5Tm3ta6a4a5ch3ma",
"related_object": "order",
"properties": {
"published": {
"type": "boolean",
"optional": true
}
},
"created_at": "2024-04-29T11:25:44.458Z",
"object": "custom-event-schema"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
Provide the unique identifier of the project.
"proj_TrlkLiH4"
Provide the unique identifier of the custom event schema.
"ms_f1r5Tcu5T0m3v3nT5ch3ma"
Returns the custom event schema.
Response body schema for GET /management/v1/projects/{projectId}/custom-event-schema/{customEventSchemaId}.
Unique identifier of the custom event schema.
"ms_oA8CawM07Q8i05Cx62U6euTK"
User-defined name of the custom event. This is also shown in Project Settings > Event Schema in the Voucherify Dashboard.
Object containing custom event schema and its custom attributes (metadata).
Show child attributes
Timestamp representing the date and time when the custom event schema was created. The value is shown in the ISO 8601 format.
"2024-03-27T08:00:09.472Z"
The type of the object represented by JSON.
custom-event-schema "custom-event-schema"
Timestamp representing the date and time when the custom event schema was updated. The value is shown in the ISO 8601 format.
"2024-03-27T08:00:09.472Z"
Was this page helpful?